Package org.jCharts.imageMap

# Class RectMapArea

java.lang.Object
org.jCharts.imageMap.ImageMapArea
org.jCharts.imageMap.RectMapArea

All Implemented Interfaces:
  `Serializable`

public final class RectMapArea extends ImageMapArea implements Serializable

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.jCharts.imageMap.ImageMapArea

`x, y`

## Constructor Summary

Constructors
Constructor
Description
`RectMapArea(Rectangle2D.Float rectangle, double value, String xAxisLabel, String legendLabel)`

## Method Summary

Modifier and Type
Method
Description
`AreaShape`
`getAreaShape()`

### Methods inherited from class org.jCharts.imageMap.ImageMapArea

`getCoordinates, getLengendLabel, getNumberOfCoordinates, getValue, getXAxisLabel, getXCoordinate, getYCoordinate, toHTML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RectMapArea

public RectMapArea(Rectangle2D.Float rectangle, double value, String xAxisLabel, String legendLabel)

Parameters:
  `rectangle` -
  `value` -
  `xAxisLabel` -
  `legendLabel` -

## Method Details

### getAreaShape

public AreaShape getAreaShape()

Specified by:
  `getAreaShape` in class `ImageMapArea`
Returns:
  AreaShape